{ lib, config, pkgs, ... }:

{
    virtualisation = {
      podman ={
        enable = true;
        autoPrune.enable = true;
      };
    };

    services.gitea-actions-runner.instances = {
        nixrunner-test = {
            enable = true;
            url = "https://git.kabtop.de";
            name = "nix_runner_test";
            #tokenFile = "./gitea_token";
            token = "vlUBkX5IbJKTBO3HAGqFM1fEOw2UqXpX87LcdJRY";
            labels = [ 
              "debian-latest:docker://node:18-bullseye"
            ];
        };
    };
    system.stateVersion = "23.11";
}
